Labels and MSSQL layers

2016-03-02 04:44 AM - Andre Jesus

Status: Closed

Priority: High

Assignee:

Category: Labelling

Affected QGIS version:2.14.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22383

Description

I'm getting random results when I try to use labels with MSSQL layers. Sometimes It appears, sometimes It doesn't.

It works fine with number fields (int, real, float, seq), but with strings (varchar, nvarchar) or dates (date, datetime) It is totally random when

It will appears or not. I tried to pin It down what is causing this but I couldn't find the cause.

Using QGIS 2.14.0 on a Windows 7 64 bits. Database MS SQL Server 2008 R2.

Related issues:

Duplicated by QGIS Application - Bug report # 14465: Styling of Microsoft SQL... Closed 2016-03-12

Associated revisions

Revision 30449e57 - 2016-03-03 12:34 AM - Nyall Dawson

Fix fetching subset of attributes with mssql (fix #14402), add test

Revision 63d6f7b4 - 2016-03-03 01:31 AM - Nyall Dawson

Fix fetching subset of attributes with mssql (fix #14402), add test

(cherry-picked from 30449e577f0cd432bd8c60787743fba54c1e51b9)

History

#1 - 2016-03-02 04:45 AM - Andre Jesus

If a export the layers to shapefile or sqlites, for exemple, It works fine. All labels are displayed.

#2 - 2016-03-02 04:29 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"30449e577f0cd432bd8c60787743fba54c1e51b9".
